Create a contact
curl --request POST \
--url https://api.nateq.io/api/v1/contacts \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "<string>",
"avatar": "<string>",
"channelData": "<string>",
"companyId": "<string>",
"country": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"phone": "<string>",
"position": "<string>",
"tagIds": [
"<string>"
]
}
'import requests
url = "https://api.nateq.io/api/v1/contacts"
payload = {
"source": "<string>",
"avatar": "<string>",
"channelData": "<string>",
"companyId": "<string>",
"country": "<string>",
"doNotContact": True,
"email": "<string>",
"externalId": "<string>",
"isAnonymous": True,
"isPotentialClient": True,
"language": "<string>",
"name": "<string>",
"phone": "<string>",
"position": "<string>",
"tagIds": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
avatar: '<string>',
channelData: '<string>',
companyId: '<string>',
country: '<string>',
doNotContact: true,
email: '<string>',
externalId: '<string>',
isAnonymous: true,
isPotentialClient: true,
language: '<string>',
name: '<string>',
phone: '<string>',
position: '<string>',
tagIds: ['<string>']
})
};
fetch('https://api.nateq.io/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>",
"widgetGuestId": "<string>"
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Create a contact
Create a new contact in the organization.
POST
/
contacts
Create a contact
Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Body
application/json
Contact to create
Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
255Maximum string length:
10Maximum string length:
255Maximum string length:
50Maximum string length:
255Available options:
contact, guest Was this page helpful?
⌘I